Issue #15853 has been updated by jeremyevans0 (Jeremy Evans).

File fix-readline-4.3-test-regression-v3.patch added

aycabta (aycabta .) wrote:
> The condition was for GNU Readline 4.3's bug but the deletion is my mistake. I agreed with your first proposal. But the first patch is not correct. The `defined?(Reline)` doesn't mean that Reline is as Readline so I added a condition that checks `Readline` constant is the same as `Reline`. It's `!defined?(Reline) or Readline != Reline`. So please fix your patch.

If you think the assertion is useful, we can definitely keep it and just fix the condition.  I think the attached patch should be correct.

----------------------------------------
Bug #15853: Fix readline test regression when using Readline 4.3
https://bugs.ruby-lang.org/issues/15853#change-78057

* Author: jeremyevans0 (Jeremy Evans)
* Status: Open
* Priority: Normal
* Assignee: aycabta (aycabta .)
* Target version: 
* ruby -v: 
* Backport: 2.4: DONTNEED, 2.5: DONTNEED, 2.6: DONTNEED
----------------------------------------
commit:c754e979d3eeca51f1b13778f19f347df3da656e removed the check for Readline 4.3 in a test.  Previously, the whole test was skipped on Readline 4.3.  However, it turns out that Readline 4.3 runs the test correctly if you skip the same assertion that is skipped when Reline is used.  The attached patch skips that assertion when `Readline::VERSION` is 4.3.

We may want to consider dropping this assertion completely, it seems to be readline implementation and version dependent behavior.

---Files--------------------------------
fix-readline-4.3-test-regression.patch (1.3 KB)
fix-readline-4.3-test-regression-v2.patch (1.28 KB)
fix-readline-4.3-test-regression-v3.patch (1.33 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>